Class | Chef::Provider::Package::Yum::YumCache
In: | lib/chef/provider/package/yum.rb
Parent: | Object

Cache for our installed and available packages, pulled in from yum-dump.py

### Methods

allow_multi_install available_version candidate_version disable_extra_repo_control enable_extra_repo_control installed_version new package_available? package_repository packages_from_require refresh reload reload_installed reload_provides reset reset_installed version_available?

### Included Modules

Chef::Mixin::Command Singleton

### Attributes

extra_repo_control | [R] |

### Public Class methods

new()

### Public Instance methods

allow_multi_install()

Return an array of packages allowed to be installed multiple times, such as the kernel

available_version(package_name, arch=nil)

Return the latest available version for a package.arch

candidate_version(package_name, arch=nil)

Alias for available_version

disable_extra_repo_control()
enable_extra_repo_control(arg)
installed_version(package_name, arch=nil)

Return the currently installed version for a package.arch

package_available?(package_name)

Check for package by name or name+arch

package_repository(package_name, desired_version, arch=nil)

Return the source repository for a package-version.arch

packages_from_require(rpmdep)

Returns a array of packages satisfying an RPMDependency

refresh()

Cache management

reload()
reload_installed()
reload_provides()
reset()
reset_installed()
version_available?(package_name, desired_version, arch=nil)

Check if a package-version.arch is available to install

[Validate]